--------------------------------------------------------------------------------
-- Company: <Name>
--
-- File: CFlg.vhd
-- File history:
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--
-- Description: 
--
-- <Description here>
--
-- Targeted device: <Family::ProASIC3> <Die::A3PN250> <Package::100 VQFP>
-- Author: <Name>
--
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity CFlg is
    port (
        CLK     : IN  std_logic; -- Clock
        nRST    : IN  std_logic; -- nReset
        C       : IN  std_logic; -- C
        Q       : OUT std_logic  -- Output
        --<other_ports>;
    );
end CFlg;

architecture RTL of CFlg is
   -- signal, component etc. declarations
	signal tmp : std_logic; -- reg

begin
    Q <= tmp;

    process(CLK, nRST) begin
        if(nRST = '0') then
            -- init
            tmp <= '0';
        else
            if (CLK'event and CLK='1') then
                tmp <= C;
            else
                tmp <= tmp;
            end if;
        end if;
    end process;
   -- architecture body
end RTL;
