quietly set ACTELLIBNAME ProASIC3
quietly set PROJECT_DIR "C:/Actelprj/test80_cpu"

if {[file exists postsynth/_info]} {
   echo "INFO: Simulation library postsynth already exists"
} else {
   file delete -force postsynth 
   vlib postsynth
}
vmap postsynth postsynth
vmap proasic3 "C:/Microsemi/Libero_SoC_v11.8/Designer/lib/modelsim/precompiled/vhdl/proasic3"

vcom -2008 -explicit  -work postsynth "${PROJECT_DIR}/synthesis/top.vhd"
vcom -2008 -explicit  -work postsynth "${PROJECT_DIR}/smartgen/tb_ROM/tb_ROM.vhd"
vcom -2008 -explicit  -work postsynth "${PROJECT_DIR}/stimulus/tb_clk.vhd"
vcom -2008 -explicit  -work postsynth "${PROJECT_DIR}/component/work/tb_top/tb_top.vhd"

vsim -L proasic3 -L postsynth  -t 1ps postsynth.tb_top
add wave /tb_top/*
run 1000ns
