--------------------------------------------------------------------------------
-- Company: <Name>
--
-- File: ALU.vhd
-- File history:
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--
-- Description: 
--
-- <Description here>
--
-- Targeted device: <Family::ProASIC3> <Die::A3PN250> <Package::100 VQFP>
-- Author: <Name>
--
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity ALU is
    port (
        A : IN  std_logic_vector(3 downto 0); -- A
        B : IN  std_logic_vector(3 downto 0); -- B
        C : OUT std_logic;                    -- C
        Q : OUT std_logic_vector(3 downto 0)  -- Output
        --<other_ports>;
    );
end ALU;

architecture RTL of ALU is
   -- signal, component etc. declarations
	signal tmp : std_logic_vector(4 downto 0) ; -- tmp

begin
    Q <= tmp(3 downto 0);
    tmp <= ('0' & A) + ('0' & B);
    C   <= tmp(4);
   -- architecture body
end RTL;
