--------------------------------------------------------------------------------
-- Company: <Name>
--
-- File: MUX.vhd
-- File history:
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--
-- Description: 
--
-- <Description here>
--
-- Targeted device: <Family::ProASIC3> <Die::A3PN250> <Package::100 VQFP>
-- Author: <Name>
--
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity MUX is
    port (
        C0  : IN  std_logic_vector(3 downto 0); -- regA
        C1  : IN  std_logic_vector(3 downto 0); -- regB
        C2  : IN  std_logic_vector(3 downto 0); -- I/O input
        C3  : IN  std_logic_vector(3 downto 0); -- reserve
        sel : IN  std_logic_vector(1 downto 0); -- selecter
        Y   : OUT std_logic_vector(3 downto 0)  -- output
        --<other_ports>;
    );
end MUX;

architecture RTL of MUX is
   -- signal, component etc. declarations
	signal tmp : std_logic_vector(3 downto 0) := (others=>'0'); -- example

begin
    Y <= tmp;

    process (sel,C0,C1,C2,C3) begin
        case sel is
            when "00" => tmp <= C0;
            when "01" => tmp <= C1;
            when "10" => tmp <= C2;
            when "11" => tmp <= C3;
            when others => tmp <= (others=>'0');
        end case;
    end process;
   -- architecture body
end RTL;
