--------------------------------------------------------------------------------
-- Company: <Name>
--
-- File: regA.vhd
-- File history:
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--      <Revision number>: <Date>: <Comments>
--
-- Description: 
--
-- <Description here>
--
-- Targeted device: <Family::ProASIC3> <Die::A3PN250> <Package::100 VQFP>
-- Author: <Name>
--
--------------------------------------------------------------------------------

library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

entity PC is
    port (
        CLK     : IN  std_logic; -- Clock
        nRST    : IN  std_logic; -- nReset
        nL      : IN  std_logic; -- nLoad
        D       : IN  std_logic_vector(3 downto 0); -- Input 
        Addr    : OUT std_logic_vector(6 downto 0)  -- Output
    );
end PC;

architecture RTL of PC is
   -- signal, component etc. declarations
	signal tmp : std_logic_vector(6 downto 0) ; -- PC

begin
    Addr <= tmp;

    process(CLK, nRST) begin
        if(nRST = '0') then
            -- init
            tmp <= (others=>'0');
        else
            if (CLK'event and CLK='1') then
                    if (nL = '0') then
                        -- valid
                        tmp <= "000" & D;
                    else
                        -- invalid : increment
                        tmp <= tmp + 1;
                    end if;
            else
                tmp <= tmp;
            end if;
        end if;
    end process;
   -- architecture body
end RTL;
