-- Version: v11.8 SP3 11.8.3.6

library ieee;
use ieee.std_logic_1164.all;
library proasic3;
use proasic3.all;

entity newCore is

    port( Data   : in    std_logic;
          Enable : in    std_logic;
          Aclr   : in    std_logic;
          Aset   : in    std_logic;
          Clock  : in    std_logic;
          Q      : out   std_logic
        );

end newCore;

architecture DEF_ARCH of newCore is 

  component MX2
    port( A : in    std_logic := 'U';
          B : in    std_logic := 'U';
          S : in    std_logic := 'U';
          Y : out   std_logic
        );
  end component;

  component DFN1P1C1
    port( D   : in    std_logic := 'U';
          CLK : in    std_logic := 'U';
          PRE : in    std_logic := 'U';
          CLR : in    std_logic := 'U';
          Q   : out   std_logic
        );
  end component;

    signal \Q\, MX2_0_Y : std_logic;

begin 

    Q <= \Q\;

    MX2_0 : MX2
      port map(A => \Q\, B => Data, S => Enable, Y => MX2_0_Y);
    
    DFN1P1C1_Q : DFN1P1C1
      port map(D => MX2_0_Y, CLK => Clock, PRE => Aset, CLR => 
        Aclr, Q => \Q\);
    

end DEF_ARCH; 

-- _Disclaimer: Please leave the following comments in the file, they are for internal purposes only._


-- _GEN_File_Contents_

-- Version:11.8.3.6
-- ACTGENU_CALL:1
-- BATCH:T
-- FAM:PA3LC
-- OUTFORMAT:VHDL
-- LPMTYPE:LPM_DFF
-- LPM_HINT:PIPO
-- INSERT_PAD:NO
-- INSERT_IOREG:NO
-- GEN_BHV_VHDL_VAL:F
-- GEN_BHV_VERILOG_VAL:F
-- MGNTIMER:F
-- MGNCMPL:T
-- DESDIR:C:/Actelprj/test80_cpu/smartgen\newCore
-- GEN_BEHV_MODULE:F
-- SMARTGEN_DIE:UM4X4M1N
-- SMARTGEN_PACKAGE:vq100
-- AGENIII_IS_SUBPROJECT_LIBERO:T
-- CLR_POLARITY:1
-- CLR_FANIN:AUTO
-- CLR_VAL:8
-- EN_POLARITY:1
-- EN_FANIN:AUTO
-- EN_VAL:6
-- CLK_EDGE:RISE
-- CLK_FANIN:MANUAL
-- CLK_VAL:1
-- WIDTH:1
-- FF_TYPE:REGULAR
-- SET_POLARITY:1
-- SET_FANIN:AUTO
-- SET_VAL:8
-- OUTPUTS:1

-- _End_Comments_

